:: Binaries generation script

setlocal

@ECHO OFF
: Binaries generation script

@SET CUR_DIR=%CD%
@SET PATH=%CUR_DIR%\..\..\..\..\Utilities\PC_Software\HexTools;%PATH%

@SET DEMO_VER=V1.0.0
@SET DEMO_FILE_NAME=STM32F7508-DISCO_Full_Demo_%DEMO_VER%.hex

@SET ML_PATH=%CUR_DIR%
@SET ML_VER=V1.0.0
@SET ML_FILE_NAME=STM32F7508-DISCO_MenuLauncher_%ML_VER%.hex
@SET ML_FILE=%ML_PATH%\%ML_FILE_NAME%

@SET STEW_PATH=%CUR_DIR%
@SET STEW_VER=V1.1.0
@SET STEW_FILE_NAME=STM32F7508-DISCO_STemWin_Demo_%STEW_VER%.hex
@SET STEW_FILE=%STEW_PATH%\%STEW_FILE_NAME%

@SET TGFX_PATH=%CUR_DIR%
@SET TGFX_VER=V1.0.0
@SET TGFX_FILE_NAME=STM32F7508-DISCO_TouchGFX_Demo_%TGFX_VER%.hex
@SET TGFX_FILE=%TGFX_PATH%\%TGFX_FILE_NAME%

@IF NOT EXIST %ML_FILE% @ECHO %ML_FILE% Does not exist !! && PAUSE && EXIT
@IF NOT EXIST %STEW_FILE% @ECHO %STEW_FILE% Does not exist !! && PAUSE && EXIT
@IF NOT EXIST %TGFX_FILE% @ECHO %TGFX_FILE% Does not exist !! && PAUSE && EXIT

IF EXIST %DEMO_FILE_NAME% @DEL %DEMO_FILE_NAME% /F /Q
IF EXIST out @RD /S /Q out
MKDIR out

@COPY %ML_FILE% out\%ML_FILE_NAME%
@COPY %STEW_FILE% out\%STEW_FILE_NAME%
@COPY %TGFX_FILE% out\%TGFX_FILE_NAME%

@ECHO Generating %DEMO_FILE_NAME% Using 
@ECHO  %ML_FILE_NAME%
@ECHO  %STEW_FILE_NAME%
@ECHO  %TGFX_FILE_NAME%

@CD out
@srec_cat.exe %ML_FILE_NAME% -Intel %STEW_FILE_NAME% -Intel %TGFX_FILE_NAME% -Intel -o %DEMO_FILE_NAME% -Intel
@MOVE %DEMO_FILE_NAME% ..\%DEMO_FILE_NAME%
@CD ..

IF EXIST out @RD /S /Q out
REM PAUSE
